#= require supplier/foundation1/application
#= require supplier/app/application
#= require require
#= require qunit
#= require qunit/qunit-close-enough
#= require ember-qunit/ember-qunit
#= require_self
#= require_tree ./components
#= require_tree ./models
#= require_tree ./routes
#= require_tree ./unit
#= require_tree ./views

# Set the application.
#App = App;

# Set up Ember testing.
window.supplier_object = {id: 'supplier1'}
window.employee_object = {id: 'employee1'}
window.Faye = {}
class window.Faye.Client
  constructor: (host)->
    @host = host
  subscribe: (subscribe_path)->
    @subscribe_path = subscribe_path
window.data_host = ''
window.$asset_path = '/assets/'
window.event_host = ''
App.rootElement = '#ember-testing'
App.ApplicationStore = DS.Store.extend({
  adapter: DS.ActiveModelAdapter.extend({
    namespace: 'tests'
  })
})

#emq.globalize()
App.Resolver = Ember.DefaultResolver.extend({namespace: App})
setResolver(App.Resolver.create())
App.setupForTesting()
App.injectTestHelpers()
